from django.shortcuts import render, get_object_or_404

from shiftregister.fallback.models import TeamMember

# Create your views here.


def my_fallback_shifts(request, team_member_id):
    team_member = get_object_or_404(TeamMember, pk=team_member_id)
    context = {
        "team_member": team_member,
        "shifts": team_member.fallback_shifts.order_by("start_at").all(),
    }
    return render(request, "my_fallback_shifts.html", context)
